## GDataCalendarFeed

GDataCalendarFeed — GData Calendar feed object

## Stability Level

Stable, unless otherwise indicated

## Functions

const gchar * | gdata_calendar_feed_get_timezone ()
guint | gdata_calendar_feed_get_times_cleaned ()

## Properties

guint | times-cleaned | Read
char * | timezone | Read

## Types and Values

| GDataCalendarFeed
| GDataCalendarFeedClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataFeed
                ╰── GDataCalendarFeed

## Includes

    #include <gdata/services/calendar/gdata-calendar-feed.h>

## Description

GDataCalendarFeed is a subclass of GDataFeed to represent a results feed from Google Calendar. It adds a couple of properties which are specific to the Google Calendar API.

## Functions

### gdata_calendar_feed_get_timezone ()

    const gchar *
    gdata_calendar_feed_get_timezone (GDataCalendarFeed *self);

`gdata_calendar_feed_get_timezone` has been deprecated since version 0.17.2 and should not be used in newly-written code.

Unsupported by the online API any more. There is no replacement; this will always return `NULL`.

Gets the “timezone” property.

#### Parameters

self | a GDataCalendarFeed |

#### Returns

the feed's timezone, or `NULL`

Since: 0.3.0

### gdata_calendar_feed_get_times_cleaned ()

    guint
    gdata_calendar_feed_get_times_cleaned (GDataCalendarFeed *self);

`gdata_calendar_feed_get_times_cleaned` has been deprecated since version 0.17.2 and should not be used in newly-written code.

Unsupported by the online API any more. There is no replacement; this will always return `NULL`.

Gets the “times-cleaned” property.

#### Parameters

self | a GDataCalendarFeed |

#### Returns

the number of times the feed has been totally emptied

Since: 0.3.0

## Types and Values

### GDataCalendarFeed

    typedef struct _GDataCalendarFeed GDataCalendarFeed;

All the fields in the GDataCalendarFeed structure are private and should never be accessed directly.

Since: 0.3.0

### GDataCalendarFeedClass

    typedef struct {
    } GDataCalendarFeedClass;

All the fields in the GDataCalendarFeedClass structure are private and should never be accessed directly.

Since: 0.3.0

## Property Details

### The `“times-cleaned”` property

      “times-cleaned”            guint

The number of times the feed has been completely cleared of entries.

`GDataCalendarFeed:times-cleaned` has been deprecated since version 0.17.2 and should not be used in newly-written code.

Unsupported by the online API any more. There is no replacement; this will always return 0.

Owner: GDataCalendarFeed

Flags: Read

Default value: 0

Since: 0.3.0

### The `“timezone”` property

      “timezone”                 char *

The timezone in which the feed's times are given. This is a timezone name in tz database notation: reference.

`GDataCalendarFeed:timezone` has been deprecated since version 0.17.2 and should not be used in newly-written code.

Unsupported by the online API any more. There is no replacement; this will always return `NULL`.

Owner: GDataCalendarFeed

Flags: Read

Default value: NULL

Since: 0.3.0